from django import template

from gallery.models import Album, Photo

register = template.Library()


@register.simple_tag
def gallery_stats():
    total_photos = Photo.objects.count()
    total_albums = Album.objects.count()
    public_albums = Album.objects.filter(is_public=True).count()
    return total_albums, public_albums, total_photos